#!/bin/bash

#Use ffprobe to find .mkv files with h264 encoding:

ffBin="/usr/bin/"
parentDir=$1
destDir="/tmp/transcode/"
mkdir -p "$destDir"
while read -r line;
do
 codec="$( $ffBin/ffprobe -loglevel error -select_streams v:0 -show_entries \
        stream=codec_name -of default=noprint_wrappers=1:nokey=1 "$line" )"
  if [ $? -eq 0 ]
  then
  if [[ $codec == *"264"* ]]
  then
    #Sometimes scp has issues with double spaces?
    if [[ "$line" == *"  "* ]]
    then
      repLine="$( echo "$line" | sed "s/  //g" )"
      mv "$line" "$repLine"
      if [ -f "$( dirname "$line" )/$( basename "$line" .mkv ).nfo" ]
      then
        mv "$( dirname "$line" )/$( basename "$line" .mkv ).nfo" "$( dirname "$repLine" )/$( basename "$repLine" .mkv ).nfo"
      fi
      line=$repLine
      unset repLine
    fi
    echo "$line" >>"$destDir/list.txt"
  fi
  else
    echo "NON-ZERO for $line"
  fi
done<<<"$( find "$parentDir" -name "*.mkv" -print )"
